Skip to main content
GET
/
workspace
/
logs
List of Event Logs
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/logs \
  --header 'Authorization: Bearer <token>'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[updated_before]
string
filter[updated_after]
string
filter
string
page
string
sort
string
filter[id]
string

Filter by an exact match of the workspace log ID (indexed)

Filter by a partial match of the workspace log ID

filter[actor_id]
string

Filter by an exact match of the actor ID (indexed)

Filter by a partial match of the actor ID

filter[actor_type]
string

Filter by an exact match of the actor type (indexed)

Filter by a partial match of the actor type

filter[event_type]
string

Filter by an exact match of the event type (indexed)

Filter by a partial match of the event type

filter[level]
string

Filter by an exact match of the log level (indexed)

Filter by a partial match of the log level

filter[parent_id]
string

Filter by an exact match of the parent ID (indexed)

Filter by a partial match of the parent ID

filter[parent_type]
string

Filter by an exact match of the parent type (indexed)

Filter by a partial match of the parent type

filter[record_id]
string

Filter by an exact match of the record ID (indexed)

Filter by a partial match of the record ID

filter[record_type]
string

Filter by an exact match of the record type (indexed)

Filter by a partial match of the record type

Filter by an exact match of the related ID (indexed)

Filter by a partial match of the related ID

Filter by an exact match of the related type (indexed)

Filter by a partial match of the related type

filter[subject_id]
string

Filter by an exact match of the subject ID (indexed)

Filter by a partial match of the subject ID

filter[subject_type]
string

Filter by an exact match of the subject type (indexed)

Filter by a partial match of the subject type

filter[attribute_value_old]
string

Filter by an exact match of the old attribute value (encrypted)

Filter by a partial match of the old attribute value (encrypted)

filter[attribute_value_new]
string

Filter by an exact match of the new attribute value (encrypted)

Filter by a partial match of the new attribute value (encrypted)

filter[record_provider_id]
string

Filter by an exact match of the record provider ID (encrypted)

Filter by a partial match of the record provider ID (encrypted)

Search metadata for any partial string match (encrypted)

filter[actor_session_id]
string

Filter by an exact match of the actor session ID

Filter by a partial match of the actor session ID

filter[attribute_key]
string

Filter by an exact match of the attribute key

Filter by a partial match of the attribute key

filter[count_records]
string

Filter by an exact match of the count records

filter[job_batch]
string

Filter by an exact match of the job batch

Filter by a partial match of the job batch

filter[job_id]
string

Filter by an exact match of the job ID

Filter by a partial match of the job ID

filter[job_platform]
string

Filter by an exact match of the job platform

Filter by a partial match of the job platform

filter[job_pipeline_id]
string

Filter by an exact match of the job pipeline ID

Filter by a partial match of the job pipeline ID

filter[job_transaction_id]
string

Filter by an exact match of the job transaction ID

Filter by a partial match of the job transaction ID

filter[message]
string

Filter by an exact match of the message

Filter by a partial match of the message

filter[method]
string

Filter by an exact match of the method

Filter by a partial match of the method

filter[occurred_before]
string

Filter by logs that occurred before a specific date (indexed)

filter[occurred_after]
string

Filter by logs that occurred after a specific date (indexed)

filter[created_before]
string

Filter by logs created before a specific date (indexed)

filter[created_after]
string

Filter by logs created after a specific date (indexed)

filter[deleted_before]
string

Filter by logs deleted before a specific date (trashed only)

filter[deleted_after]
string

Filter by logs deleted after a specific date (trashed only)

filter[trashed]
string

Filter by trashed status (with, only, or empty for none)

Response

The response is of type object.